import type { PropType as __PropType } from 'vue';
type UiTextareaMessageFunction = (args: unknown[]) => string;
declare const _sfc_main: import("vue").DefineComponent<{
    id: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: __PropType<string | undefined>;
        required: false;
    };
    placeholder: {
        type: __PropType<string | undefined>;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    name: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: __PropType<string | number | undefined>;
        required: false;
        default: string;
    };
    maxlength: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disabled: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    required: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    rows: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    cols: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    showCharCount: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    minCharCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    maxCharCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    guideMessage: {
        type: __PropType<string | undefined>;
        required: false;
    };
    validationMessageRequired: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: __PropType<string | UiTextareaMessageFunction | undefined>;
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: __PropType<string | UiTextareaMessageFunction | undefined>;
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    focusOnLoad: {
        type: __PropType<number | boolean | undefined>;
        required: false;
    };
    selectOnLoad: {
        type: __PropType<number | boolean | undefined>;
        required: false;
    };
    externalErrorMessageId: {
        type: __PropType<string | undefined>;
        required: false;
    };
}, {}, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, "update:modelValue"[], "update:modelValue", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<import("vue").ExtractPropTypes<{
    id: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    placeholderLabel: {
        type: __PropType<string | undefined>;
        required: false;
    };
    placeholder: {
        type: __PropType<string | undefined>;
        required: false;
    };
    useLabelAsPlaceholder: {
        type: __PropType<boolean | undefined>;
        required: false;
        default: boolean;
    };
    name: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    modelValue: {
        type: __PropType<string | number | undefined>;
        required: false;
        default: string;
    };
    maxlength: {
        type: __PropType<number | undefined>;
        required: false;
    };
    disabled: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    required: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    rows: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    cols: {
        type: __PropType<number | undefined>;
        required: false;
        default: number;
    };
    showCharCount: {
        type: __PropType<boolean | undefined>;
        required: false;
    };
    minCharCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    maxCharCount: {
        type: __PropType<number | undefined>;
        required: false;
    };
    guideMessage: {
        type: __PropType<string | undefined>;
        required: false;
    };
    validationMessageRequired: {
        type: __PropType<string | undefined>;
        required: false;
        default: () => string;
    };
    validationMessageMinCharCount: {
        type: __PropType<string | UiTextareaMessageFunction | undefined>;
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    validationMessageMaxCharCount: {
        type: __PropType<string | UiTextareaMessageFunction | undefined>;
        required: false;
        default: () => import('../config/uiComponentConfig').MessageFunction;
    };
    focusOnLoad: {
        type: __PropType<number | boolean | undefined>;
        required: false;
    };
    selectOnLoad: {
        type: __PropType<number | boolean | undefined>;
        required: false;
    };
    externalErrorMessageId: {
        type: __PropType<string | undefined>;
        required: false;
    };
}>> & {
    "onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
}, {
    name: string | undefined;
    id: string | undefined;
    modelValue: string | number | undefined;
    validationMessageRequired: string | undefined;
    useLabelAsPlaceholder: boolean | undefined;
    rows: number | undefined;
    cols: number | undefined;
    validationMessageMinCharCount: string | UiTextareaMessageFunction | undefined;
    validationMessageMaxCharCount: string | UiTextareaMessageFunction | undefined;
}>;
export default _sfc_main;
